Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		shared-mime-info
Version:	0.71
Release:	2
Summary:	Shared MIME information database
License:	GNU/GPL
Group: 		Graphical Desktop/Freedesktop/Base
Source0:	%{name}-%{version}.tar.bz2
Source1:	defaults.list
URL:		http://www.freedesktop.org/wiki/Software_2fshared_2dmime_2dinfo
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: libxml2-devel

%description
Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

%post
update-mime-database %_datadir/mime > /dev/null 2>&1 || :
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure --disable-update-mimedb
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_applications/defaults.list

## remove these bogus files
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/locale/*


%files
%defattr(-,root,root,-)
%doc README NEWS shared-mime-info-spec.xml
%{_bindir}/update-mime-database
%dir %{_datadir}/mime/
%{_datadir}/mime/packages/freedesktop.org.xml
%{_datadir}/applications/defaults.list
%{_datadir}/pkgconfig/shared-mime-info.pc
%{_mandir}/man1/update-mime-database.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.71-2
- rebuilt
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.71-1
- version update
* Mon Nov 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.70-1
- version update
* Fri Jul 31 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.60-1
- version update
* Sat Nov 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.51-1
- version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 0.23-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.22-1
- Version update
* Mon Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 0.20-1
- Version update
* Fri Sep 08 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.19-1
- version update
* Sat Apr 22 2006 Christian Wasem <wasem@ccux-linux.de> 0.17-1
- Update to Version 0.17, tweaked specfile, aded defaults.list
* Fri Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> 0.16-2
- Tweaked Spec File to a more CCux Package DB friendly Way / Moved Mandir
* Sun Apr 17 2005 Uli Schukraft <Schukraft@CCux-Linux.de> 0.16-1
- First package release.
